//
//  ViewController.swift
//  Data1
//
//  Created by Joey deVilla on 4/24/18.
//  Copyright © 2018 Joey deVilla. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

  @IBOutlet weak var userText: UITextView!


  // View controller events
  // ======================

  override func viewDidLoad() {
    super.viewDidLoad()
  }

  override func didReceiveMemoryWarning() {
    super.didReceiveMemoryWarning()
    // Dispose of any resources that can be recreated.
  }


  // Save and load button events
  // ===========================

  @IBAction func saveButtonClicked(_ sender: Any) {
    try! userText.text.write(to: saveURL,
                             atomically: true,
                             encoding: String.Encoding.utf8)
  }

  @IBAction func loadButtonClicked(_ sender: Any) {
    do {
      try userText.text = String(contentsOf: saveURL)
    } catch {
      userText.text = "Encountered an error while trying to load saved data."
    }
  }

  private var saveURL: URL {
    let documentsDirectoryURL = try! FileManager.default.url(
      for: FileManager.SearchPathDirectory.documentDirectory,
      in: .userDomainMask,
      appropriateFor: nil,
      create: false)
    return URL(fileURLWithPath: "savefile.txt",
               relativeTo: documentsDirectoryURL)
  }

}
